org.apache.fop.render.pdf

## Class PDFRendererOptionsConfig

- java.lang.Object
- - org.apache.fop.render.pdf.PDFRendererOptionsConfig

    public final class PDFRendererOptionsConfig
    extends Object

The renderer options configuration data.

### Method Summary

All Methods Instance Methods Concrete Methods
`Boolean` `getDisableSRGBColorSpace()`
`PDFEncryptionParams` `getEncryptionParameters()`
`Map<String,List<String>>` `getFilterMap()`
`Boolean` `getFormXObjectEnabled()`
`Boolean` `getLinearizationEnabled()`
`Boolean` `getMergeFontsEnabled()`
`Boolean` `getMergeFormFieldsEnabled()`
`Boolean` `getObjectStreamsEnabled()`
`URI` `getOutputProfileURI()`
`PDFAMode` `getPDFAMode()`
`PDFUAMode` `getPDFUAMode()`
`Version` `getPDFVersion()`
`PDFVTMode` `getPDFVTMode()`
`PDFXMode` `getPDFXMode()`
`PDFSignParams` `getSignParams()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getFilterMap

    public Map<String,List<String>> getFilterMap()

#### getPDFAMode

    public PDFAMode getPDFAMode()

#### getPDFUAMode

    public PDFUAMode getPDFUAMode()

#### getPDFXMode

    public PDFXMode getPDFXMode()

#### getPDFVTMode

    public PDFVTMode getPDFVTMode()

#### getEncryptionParameters

    public PDFEncryptionParams getEncryptionParameters()

#### getSignParams

    public PDFSignParams getSignParams()

#### getOutputProfileURI

    public URI getOutputProfileURI()

#### getDisableSRGBColorSpace

    public Boolean getDisableSRGBColorSpace()

#### getPDFVersion

    public Version getPDFVersion()

#### getMergeFontsEnabled

    public Boolean getMergeFontsEnabled()

#### getMergeFormFieldsEnabled

    public Boolean getMergeFormFieldsEnabled()

#### getLinearizationEnabled

    public Boolean getLinearizationEnabled()

#### getFormXObjectEnabled

    public Boolean getFormXObjectEnabled()

#### getObjectStreamsEnabled

    public Boolean getObjectStreamsEnabled()